## org.eclipse.jst.jsf.context.symbol
Interface SymbolFactory

    public interface SymbolFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

Provisional API - subject to change

See Also:
  `SymbolPackage`

Field Summary
`static java.lang.String` `copyright`
`static SymbolFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`IBeanInstanceSymbol` `createIBeanInstanceSymbol()` Returns a new object of class 'IBean Instance Symbol'
`IBeanMethodSymbol` `createIBeanMethodSymbol()` Returns a new object of class 'IBean Method Symbol'
`IBeanPropertySymbol` `createIBeanPropertySymbol()` Returns a new object of class 'IBean Property Symbol'
`IBoundedJavaTypeDescriptor` `createIBoundedJavaTypeDescriptor()` Returns a new object of class 'IBounded Java Type Descriptor'
`IBoundedListTypeDescriptor` `createIBoundedListTypeDescriptor()` Returns a new object of class 'IBounded List Type Descriptor'
`IBoundedMapTypeDescriptor` `createIBoundedMapTypeDescriptor()` Returns a new object of class 'IBounded Map Type Descriptor'
`IComponentSymbol` `createIComponentSymbol()` Returns a new object of class 'IComponent Symbol'
`IInstanceSymbol` `createIInstanceSymbol()` Returns a new object of class 'IInstance Symbol'
`IJavaSymbol` `createIJavaSymbol()` Returns a new object of class 'IJava Symbol'
`IJavaTypeDescriptor2` `createIJavaTypeDescriptor2()` Returns a new object of class 'IJava Type Descriptor2'
`IListTypeDescriptor` `createIListTypeDescriptor()` Returns a new object of class 'IList Type Descriptor'
`IMapTypeDescriptor` `createIMapTypeDescriptor()` Returns a new object of class 'IMap Type Descriptor'
`IMethodSymbol` `createIMethodSymbol()` Returns a new object of class 'IMethod Symbol'
`IPropertySymbol` `createIPropertySymbol()` Returns a new object of class 'IProperty Symbol'
`SymbolPackage` `getSymbolPackage()` Returns the package supported by this factory

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eINSTANCE

    static final SymbolFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createIBeanInstanceSymbol

    IBeanInstanceSymbol createIBeanInstanceSymbol()

  Returns a new object of class 'IBean Instance Symbol'.

  Returns:
    a new object of class 'IBean Instance Symbol'.

### createIBeanPropertySymbol

    IBeanPropertySymbol createIBeanPropertySymbol()

  Returns a new object of class 'IBean Property Symbol'.

  Returns:
    a new object of class 'IBean Property Symbol'.

### createIInstanceSymbol

    IInstanceSymbol createIInstanceSymbol()

  Returns a new object of class 'IInstance Symbol'.

  Returns:
    a new object of class 'IInstance Symbol'.

### createIJavaSymbol

    IJavaSymbol createIJavaSymbol()

  Returns a new object of class 'IJava Symbol'.

  Returns:
    a new object of class 'IJava Symbol'.

### createIJavaTypeDescriptor2

    IJavaTypeDescriptor2 createIJavaTypeDescriptor2()

  Returns a new object of class 'IJava Type Descriptor2'.

  Returns:
    a new object of class 'IJava Type Descriptor2'.

### createIBeanMethodSymbol

    IBeanMethodSymbol createIBeanMethodSymbol()

  Returns a new object of class 'IBean Method Symbol'.

  Returns:
    a new object of class 'IBean Method Symbol'.

### createIComponentSymbol

    IComponentSymbol createIComponentSymbol()

  Returns a new object of class 'IComponent Symbol'.

  Returns:
    a new object of class 'IComponent Symbol'.

### createIPropertySymbol

    IPropertySymbol createIPropertySymbol()

  Returns a new object of class 'IProperty Symbol'.

  Returns:
    a new object of class 'IProperty Symbol'.

### createIMapTypeDescriptor

    IMapTypeDescriptor createIMapTypeDescriptor()

  Returns a new object of class 'IMap Type Descriptor'.

  Returns:
    a new object of class 'IMap Type Descriptor'.

### createIMethodSymbol

    IMethodSymbol createIMethodSymbol()

  Returns a new object of class 'IMethod Symbol'.

  Returns:
    a new object of class 'IMethod Symbol'.

### createIBoundedMapTypeDescriptor

    IBoundedMapTypeDescriptor createIBoundedMapTypeDescriptor()

  Returns a new object of class 'IBounded Map Type Descriptor'.

  Returns:
    a new object of class 'IBounded Map Type Descriptor'.

### createIBoundedJavaTypeDescriptor

    IBoundedJavaTypeDescriptor createIBoundedJavaTypeDescriptor()

  Returns a new object of class 'IBounded Java Type Descriptor'.

  Returns:
    a new object of class 'IBounded Java Type Descriptor'.

### createIListTypeDescriptor

    IListTypeDescriptor createIListTypeDescriptor()

  Returns a new object of class 'IList Type Descriptor'.

  Returns:
    a new object of class 'IList Type Descriptor'.

### createIBoundedListTypeDescriptor

    IBoundedListTypeDescriptor createIBoundedListTypeDescriptor()

  Returns a new object of class 'IBounded List Type Descriptor'.

  Returns:
    a new object of class 'IBounded List Type Descriptor'.

### getSymbolPackage

    SymbolPackage getSymbolPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.